<section id="traveller">
    <div class="container-fluid bgclr">
        <ul class="breadcrumb reset">
            <li>
                <a [routerLink]="['/side-menu',{outlets:{sidebar:'promocode'}}]">Promocode ></a>
            </li>
            <li class="">
                Add Promocode
            </li>
        </ul>
        <div class="card">
            <div class="card-body">
                <div class="card">
                    <div class="card-header">
                        Add Promocode
                    </div>
                    <div class="card-body">
                        <form action="" [formGroup]="promocodeForm" (ngSubmit)="onSubmit()">
                            <div class="form-group">
                                <label for="">Code Name</label>
                                <input type="text" class="form-control" formControlName="codeName" [ngClass]="{ 'is-invalid': submitted && f.codeName.errors }">
                                <div *ngIf="submitted && f.codeName.errors" class="invalid-feedback">
                                    <div *ngIf="f.codeName.errors.required">Code Name is required</div>
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="">Type</label>
                                <select  class="form-control" formControlName="type" [ngClass]="{ 'is-invalid': submitted && f.type.errors }">
                                    <option value=""></option>
                                    <option value="amount">Amount</option>
                                    <option value="percent">Percent</option>
                                 </select>  
                                 <div *ngIf="submitted && f.type.errors" class="invalid-feedback">
                                    <div *ngIf="f.type.errors.required">Type is required</div>
                                </div>
                            </div>
                            <div class="form-group" >
                                <label for="">Value</label>
                                <input type="number" class="form-control" formControlName="value" [ngClass]="{ 'is-invalid': submitted && f.value.errors }">
                                <div *ngIf="submitted && f.value.errors" class="invalid-feedback">
                                    <div *ngIf="f.value.errors.required">Value is required</div>
                                </div>
                            </div>
                            <div class="form-group" >
                                <label for="">Usage Limit</label>
                                <input type="number" class="form-control" formControlName="usage_limit" [ngClass]="{ 'is-invalid': submitted && f.usage_limit.errors }">
                                <div *ngIf="submitted && f.usage_limit.errors" class="invalid-feedback">
                                    <div *ngIf="f.usage_limit.errors.required">Usage limit is required</div>
                                </div>
                            </div>
                            <div class="form-group" >
                                <label for="">Start Date</label>
                                <input type="date" class="form-control" [min]="todayDate" formControlName="start_date" [ngClass]="{ 'is-invalid': submitted && f.start_date.errors }">
                                <div *ngIf="submitted && f.start_date.errors" class="invalid-feedback">
                                    <div *ngIf="f.start_date.errors.required">Start date is required</div>
                                </div>
                            </div>
                            <div class="form-group" >
                                <label for="">Expired Date</label>
                                <input type="date" class="form-control" [min]="todayDate" formControlName="end_date" [ngClass]="{ 'is-invalid': submitted && f.end_date.errors }">
                                <div *ngIf="submitted && f.end_date.errors" class="invalid-feedback">
                                    <div *ngIf="f.end_date.errors.required">End date is required</div>
                                </div>
                            </div>
                            <div class="form-group" >
                                <label for="">Status</label>
                                <select  class="form-control" formControlName="status" [ngClass]="{ 'is-invalid': submitted && f.status.errors }">
                                    <option value=""></option>
                                    <option value="1">Active</option>
                                    <option value="0">Inactive</option>
                                 </select>  
                                 <div *ngIf="submitted && f.status.errors" class="invalid-feedback">
                                    <div *ngIf="f.status.errors.required">Status is required</div>
                                </div>
                            </div>
                            <div class="col-md-12 text-center">
                                <button type="submit" class="btn btn-success" [disabled]="!promocodeForm.valid">Submit</button>
                               
                            </div>
                        </form>

                    </div>
                </div>
            </div>
        </div>
    </div>
</section>